Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## pipe.modules.comparison
Class Comparison

    java.lang.Object
      pipe.modules.comparison.Comparison

All Implemented Interfaces:
  Module

public class Comparison
extends java.lang.Object
implements Module

Field Summary
`private javax.swing.JCheckBox` | `compareArcID`
`private javax.swing.JCheckBox` | `compareArcName`
`private javax.swing.JCheckBox` | `compareArcWeighting`
`(package private) java.awt.event.ActionListener` | `compareButtonClick` Compare button click handler
`private javax.swing.JCheckBox` | `comparePlaceID`
`private javax.swing.JCheckBox` | `comparePlaceMarking`
`private javax.swing.JCheckBox` | `comparePlaceName`
`private javax.swing.JCheckBox` | `compareTransitionID`
`private javax.swing.JCheckBox` | `compareTransitionName`
`private javax.swing.JCheckBox` | `compareTransitionRate`
`private PetriNetChooserPanel` | `comparisonFilePanel`
`private static java.lang.String` | `MODULE_NAME`
`private ResultsHTMLPane` | `results`
`private PetriNetChooserPanel` | `sourceFilePanel`

Constructor Summary
`Comparison()`

Method Summary
`private java.lang.String` | `compareArcs(Arc[] source, Arc[] comparison, boolean compareName, boolean compareID, boolean compareWeighting)`
`private java.lang.String` | `comparePlaces(Place[] source, Place[] comparison, boolean compareID, boolean compareName, boolean compareMarking)`
`private java.lang.String` | `compareTransitions(Transition[] source, Transition[] comparison, boolean compareID, boolean compareName, boolean compareRate)`
`java.lang.String` | `getName()`
`void` | `run(DataLayer pnmlData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODULE_NAME

    private static final java.lang.String MODULE_NAME

See Also:
  Constant Field Values

### sourceFilePanel

    private PetriNetChooserPanel sourceFilePanel

### comparisonFilePanel

    private PetriNetChooserPanel comparisonFilePanel

### results

    private ResultsHTMLPane results

### comparePlaceID

    private javax.swing.JCheckBox comparePlaceID

### comparePlaceName

    private javax.swing.JCheckBox comparePlaceName

### comparePlaceMarking

    private javax.swing.JCheckBox comparePlaceMarking

### compareTransitionID

    private javax.swing.JCheckBox compareTransitionID

### compareTransitionName

    private javax.swing.JCheckBox compareTransitionName

### compareTransitionRate

    private javax.swing.JCheckBox compareTransitionRate

### compareArcID

    private javax.swing.JCheckBox compareArcID

### compareArcName

    private javax.swing.JCheckBox compareArcName

### compareArcWeighting

    private javax.swing.JCheckBox compareArcWeighting

### compareButtonClick

    java.awt.event.ActionListener compareButtonClick

  Compare button click handler

Constructor Detail

### Comparison

    public Comparison()

Method Detail

### run

    public void run(DataLayer pnmlData)

  Specified by:
    `run` in interface `Module`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Module`

### comparePlaces

    private java.lang.String comparePlaces(Place[] source,
                                           Place[] comparison,
                                           boolean compareID,
                                           boolean compareName,
                                           boolean compareMarking)

### compareTransitions

    private java.lang.String compareTransitions(Transition[] source,
                                                Transition[] comparison,
                                                boolean compareID,
                                                boolean compareName,
                                                boolean compareRate)

### compareArcs

    private java.lang.String compareArcs(Arc[] source,
                                         Arc[] comparison,
                                         boolean compareName,
                                         boolean compareID,
                                         boolean compareWeighting)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD